Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Fri, 08 Jun 2007 09:12:52 -0400

On Fri, 2007-08-06 at 22:37 +1000, Herbert Xu wrote:

> Hmm I wasn't describing how it works now.  I'm talking about how it
> would work if we removed LLTX and replaced the private tx_lock with
> netif_tx_lock.

I got that - it is what tg3 does for example.
To mimick that behavior in LLTX, a driver needs to use the same lock on
both tx and receive. e1000 holds a different lock on tx path from rx
path. Maybe theres something clever i am missing; but it seems to be a
bug on e1000.
The point i was making is that it was strange i never had problems
despite taking away the lock on the tx side and using the rx side
concurently.

cheers,
jamal